GuideLab API

Create a pickup form element

Add a new form element to the pickup request form. If no sortOrder is specified, it will be appended at the end. Lab only.

POST
/pickup-requests/elements

Add a new form element to the pickup request form. If no sortOrder is specified, it will be appended at the end. Lab only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/pickup-requests/elements" \  -H "Content-Type: application/json" \  -d '{    "elementType": "header",    "label": "string"  }'
{  "element": null}
Empty
Empty
Empty
Empty